﻿@model MessageEditViewModel

<form asp-action="Edit" asp-controller="Message" method="post">

    <input asp-for="Id" type="hidden" />

    <div class="form-group">
        <label asp-for="Text"></label>
        <input asp-for="Text" type="text" class="form-control" />
        <span asp-validation-for="Text"></span>
    </div>

    <div style="display: flex; gap: 20px;">
        <button class="btn btn-success" type="submit">Сохранить</button>

        @{
            if (@TempData.Peek("TopicID") != null)
            {
                <a asp-controller="Topic" asp-action="Details" asp-route-id="@TempData.Peek("TopicID")">Вернуться к теме</a>
            }
        }
    </div>
</form>